%CIR8th.m computes the CIR of a given 8th of the system
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                               %
%        CHANNEL IMPULSE RESPONSE Eighth FUNCTION V 2.0         %
%                        (acoustic)                             %
%        by E. Amador (emmanuel.amador@insa-rennes.fr)          %
%                         IETR/DGA                              %
%                                                               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [S8th]=CIR8th(X_1,Y_1,Z_1)

global Lt c R N POS alpha

S8th = zeros(1,N);


for j=1:1:length(POS) %loop over the image-currents... a vector version exists and will be released soon
    
    DX = X_1-POS(j,1);
    DY = Y_1-POS(j,2);
    DZ = Z_1-POS(j,3);
    
    dist = sqrt(DX^2+DY^2+DZ^2);
    zl = round((N-1)*dist/c/Lt);
   
    if zl<N
        L = R^POS(j,4)%*(-1)^POS(j,4); %Attenuation by the walls
        E = 1/dist*exp(-alpha*dist); %Free-space attenuation
        
        %Three axis channel impulse response construction
        S8th(zl+1) = S8th(zl+1)+L*E;
    end
end